#
# spec file for package gst-rtsp-server
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gst-rtsp-server
Version:        1.8.2
Release:        2.2
Summary:        GStreamer based RTSP server library
License:        LGPL-2.0+
Group:          Productivity/Multimedia/Other
Url:            http://gstreamer.freedesktop.org/
Source:         http://gstreamer.freedesktop.org/src/gst-rtsp-server/%{name}-%{version}.tar.xz
BuildRequires:  gstreamer-plugins-good >= 1.8.0
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 1.31.1
BuildRequires:  pkgconfig(gstreamer-1.0) >= 1.8.0
BuildRequires:  pkgconfig(gstreamer-plugins-bad-1.0) >= 1.8.0
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0) >= 1.8.0
BuildRequires:  pkgconfig(libcgroup) >= 0.26
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
gst-rtsp-server is a library ion top of GStreamer for building an RTSP server

%package  -n libgstrtspserver-1_0-0
Summary:        GStreamer based RTSP server library
Group:          System/Libraries

%description  -n libgstrtspserver-1_0-0
gst-rtsp-server is a library ion top of GStreamer for building an RTSP server

%package  -n typelib-1_0-GstRtspServer-1_0
Summary:        GStreamer based RTSP server library
Group:          System/Libraries

%description  -n typelib-1_0-GstRtspServer-1_0
gst-rtsp-server is a library ion top of GStreamer for building an RTSP server

%package devel
Summary:        GStreamer based RTSP server library
Group:          Development/Languages/C and C++
Requires:       libgstrtspserver-1_0-0 = %{version}
Requires:       typelib-1_0-GstRtspServer-1_0 = %{version}

%description devel
gst-rtsp-server is a library ion top of GStreamer for building an RTSP server

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libgstrtspserver-1_0-0 -p /sbin/ldconfig

%postun -n libgstrtspserver-1_0-0 -p /sbin/ldconfig

%files -n libgstrtspserver-1_0-0
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_libdir}/libgstrtspserver-1.0.so.*

%files -n typelib-1_0-GstRtspServer-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/GstRtspServer-1.0.typelib

%files devel
%defattr(-,root,root)
%{_datadir}/gir-1.0/GstRtspServer-1.0.gir
%{_includedir}/gstreamer-1.0/gst/rtsp-server/
%{_libdir}/libgstrtspserver-1.0.so
%{_libdir}/gstreamer-1.0/libgstrtspclientsink.so
%{_libdir}/pkgconfig/gstreamer-rtsp-server-1.0.pc

%changelog
* Wed Jun 15 2016 zaitor@opensuse.org
- Update to version 1.8.1:
  + bgo#764744: Crashes when multiple udpsrc are created for each
    client on a shared media, misses tracking and cleanup.
  + bgo#766619: Space between ; and timeout= in session header is
    not RFC2326 compliant.
* Thu Apr 21 2016 zaitor@opensuse.org
- Update to version 1.8.1:
  + No changes, version bump only.
* Sat Mar 26 2016 zaitor@opensuse.org
- Update to version 1.8.0:
  + Hardware-accelerated zero-copy video decoding on Android
  + New video capture source for Android using the
    android.hardware.Camera API.
  + Windows Media reverse playback support (ASF/WMV/WMA).
  + New tracing system provides support for more sophisticated
    debugging tools.
  + New high-level GstPlayer playback convenience API.
  + Initial support for the new Vulkan API, see Matthew Waters'
    blog post for more details.
  + Improved Opus audio codec support: Support for more than two
    channels; MPEG-TS demuxer/muxer can now handle Opus;
    sample-accurate encoding/decoding/transmuxing with Ogg,
    Matroska, ISOBMFF (Quicktime/MP4), and MPEG-TS as container;
    new codec utility functions for Opus header and caps handling
    in pbutils library. The Opus encoder/decoder elements were
    also moved to gst-plugins-base (from -bad), and the opus RTP
    depayloader/payloader to -good.
  + GStreamer VAAPI module now released and maintained as part of
    the GStreamer project.
  + Asset proxy support in the GStreamer Editing Services.
  + Bugs fixed: bgo#740509.
* Tue Dec 15 2015 zaitor@opensuse.org
- Update to version 1.6.2:
  + rtsp-server: Change the logic so we don't pop a NULL context.
* Sun Nov  1 2015 zaitor@opensuse.org
- Update to version 1.6.1:
  + gst-rtsp-server: Retain reference to rtsp-media when preparing.
  + rtsp-stream: GstBin leak in udp-mcast case.
- Changes from version 1.6.0:
  + For changelog, see mainpackage changes, everything is condensed
    there.
- Drop grs-rtsp-fix-double-unlock-in_get_buffer_size.patch: Fixed
  upstream.
* Wed Aug  5 2015 zaitor@opensuse.org
- Add grs-rtsp-fix-double-unlock-in_get_buffer_size.patch: Fixes an
  abort when calling gst_rtsp_media_get_buffer_size() because of
  double g_mutex_unlock () usage (bgo#745434).
* Fri Dec 26 2014 zaitor@opensuse.org
- Update to version 1.4.5:
  + rtsp-stream: leaks srtp decoder when leaving rtpbin
    (bgo#739481).
* Fri Nov 14 2014 zaitor@opensuse.org
- Update to version 1.4.4:
  + rtsp-client: mikey memory leaks (bgo#739383).
- Changes from version 1.4.3:
  + No changes.
- Changes from version 1.4.2:
  + rtsp-media: Make sure that sequence numbers are monotonic after
    pause (bgo#736017).
  + rtsp-client: Protect saved clients watch with a mutex
    (bgo#735570).
* Thu Aug 28 2014 zaitor@opensuse.org
- Update to version 1.4.1:
  + RTSP PLAY with specified range replies with wrong range
    (bgo#732644).
* Fri Mar 14 2014 zaitor@opensuse.org
- Initial packaging, version 1.4.0.
